### A free/open-source library for quantitative finance

Public Member Functions
SvenssonFitting Class Reference

Svensson Fitting method. More...

`#include <ql/termstructures/yield/nonlinearfittingmethods.hpp>`

Inheritance diagram for SvenssonFitting:
[legend]

List of all members.

## Public Member Functions

std::auto_ptr < FittedBondDiscountCurve::FittingMethod > | clone () const
| clone of the current object

## Detailed Description

Svensson Fitting method.

Fits a discount function to the form where the zero rate is defined as

See: Svensson, L. (1994). Estimating and interpreting forward interest rates: Sweden 1992-4. Discussion paper, Centre for Economic Policy Research(1051).

Examples:
  FittedBondCurve.cpp.